Bug 20678 - CVS SSL patch
Summary: CVS SSL patch
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-11 17:15 UTC by Pekka Savola
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 20:05:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-11-11 17:15:18 UTC
CVS is one thing that'd profit greatly from having data, let alone password/username,
being sent over Internet (or local LAN) in plain text.

There seem to be some SSH solutions and SSL.  It'd appear that
SSL integrates neater into CVS.

SSL patches are available at http://freshmeat.net/projects/cvss/.
The server side seems to require sslwrap though.

For consideration.

Comment 1 Pekka Savola 2000-11-11 17:18:04 UTC
Now that I think about it, it might also work with stunnel.


Comment 2 Nalin Dahyabhai 2000-11-20 23:22:45 UTC
It would work with stunnel.

Comment 3 Eido Inoue 2004-10-21 20:05:02 UTC
using either stunnel or ssh is a better solution. project has been
abandoned; sslwrap would add just as must overhead (probably more) as
stunnel


Note You need to log in before you can comment on or make changes to this bug.